Extending Qt Creator Manual | ASTPropertyReference

Extending Qt Creator Manual 4.5.2

# ASTPropertyReference Class

(QmlJS::ASTPropertyReference)

Inherits: | QmlJS::Reference

- List of all members, including inherited members

## Public Functions

| ASTPropertyReference(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)
| ~ASTPropertyReference()
AST::UiPublicMember * | ast() const
QString | onChangedSlotName() const

## Reimplemented Public Functions

virtual const ASTPropertyReference * | asAstPropertyReference() const override
virtual bool | getSourceLocation(QString *fileName, int *line, int *column) const override

- 3 public functions inherited from QmlJS::Reference
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTPropertyReference::ASTPropertyReference(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTPropertyReference.

### ASTPropertyReference::~ASTPropertyReference()

Destroys the instance of ASTPropertyReference.

### `[override virtual]` const ASTPropertyReference *ASTPropertyReference::asAstPropertyReference() const

### AST::UiPublicMember *ASTPropertyReference::ast() const

### `[override virtual]` bool ASTPropertyReference::getSourceLocation(QString *fileName, int *line, int *column) const

### QString ASTPropertyReference::onChangedSlotName() const